Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/bin/build-packages
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2021-02-24 10:20:20 +0100
committerErich Eckner <git@eckner.net>2021-02-24 10:20:20 +0100
commit8c12e9daf3979ba25e01b968214009612d28808a (patch)
tree660396e3e196024e6cf14733650c478671535195 /bin/build-packages
parent677f3c35f602804ad2df0cb3c420c3a08e49f0c9 (diff)
bin/build-packages: relax search for log files
Diffstat (limited to 'bin/build-packages')
-rwxr-xr-xbin/build-packages7
1 files changed, 3 insertions, 4 deletions
diff --git a/bin/build-packages b/bin/build-packages
index 75cdbba..80ba1ce 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -655,11 +655,10 @@ while [ "${count}" -ne 0 ] && \
d
' "${log_file}" | \
while read -r extra_log_file; do
- grep -HF '' "${build_dir}/${extra_log_file}" || true
- if [ -n "${extra_log_file##*/*}" ]; then
+ if ! grep -HF '' "${build_dir}/${extra_log_file}"; then
find "${build_dir}" \
- -xdev -mindepth 2 \
- -type f -name "${extra_log_file}" \
+ -xdev \
+ -type f -name "${extra_log_file##*/}" \
-exec grep -HF '' {} + \
|| true
fi